/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#include "immediate.h"

namespace Msp {
namespace GL {

Immediate::Immediate(VertexFormat f):
	PrimitiveBuilder(array),
	array(f)
{ }

void Immediate::end_()
{
	array.apply();
	glDrawArrays(type, 0, array.size());

	array.clear();
}

} // namespace GL
} // namespace Msp
